org.codehaus.groovy.jsr223

## Class GroovyCompiledScript

- java.lang.Object
- - javax.script.CompiledScript
  - - org.codehaus.groovy.jsr223.GroovyCompiledScript

    public class GroovyCompiledScript
    extends javax.script.CompiledScript

Used to represent compiled Groovy scripts. Such scripts may be executed repeatedly by Groovy's `ScriptEngine` using the `eval` method without reparsing overheads.

### Constructor Summary

Constructors
Constructor and Description
`GroovyCompiledScript(GroovyScriptEngineImpl engine, java.lang.Class clazz)`

### Method Summary

Methods
`java.lang.Object` `eval(javax.script.ScriptContext context)`
`javax.script.ScriptEngine` `getEngine()`

### Methods inherited from class javax.script.CompiledScript

`eval, eval`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GroovyCompiledScript

    public GroovyCompiledScript(GroovyScriptEngineImpl engine,
                        java.lang.Class clazz)

### Method Detail

#### eval

    public java.lang.Object eval(javax.script.ScriptContext context)
                          throws javax.script.ScriptException

Specified by:
  `eval` in class `javax.script.CompiledScript`
Throws:
  `javax.script.ScriptException`

#### getEngine

    public javax.script.ScriptEngine getEngine()

Specified by:
  `getEngine` in class `javax.script.CompiledScript`